<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): cpptempl::DataTemplate Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classcpptempl_1_1_data_template.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classcpptempl_1_1_data_template-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">cpptempl::DataTemplate Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for cpptempl::DataTemplate:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classcpptempl_1_1_data_template.png" usemap="#cpptempl::DataTemplate_map" alt=""/>
  <map id="cpptempl::DataTemplate_map" name="cpptempl::DataTemplate_map">
<area href="classcpptempl_1_1_data.html" alt="cpptempl::Data" shape="rect" coords="0,0,144,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aebeaf0bd9a0c63f75fe17ed3586c01cc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aebeaf0bd9a0c63f75fe17ed3586c01cc"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>DataTemplate</b> (const std::string &amp;templateText)</td></tr>
<tr class="separator:aebeaf0bd9a0c63f75fe17ed3586c01cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a955561c6815b0bafbc984b2d913a246b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a955561c6815b0bafbc984b2d913a246b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>DataTemplate</b> (const impl::node_vector &amp;tree)</td></tr>
<tr class="separator:a955561c6815b0bafbc984b2d913a246b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1deb6f4e0659c8f1ca10587440a530f4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1deb6f4e0659c8f1ca10587440a530f4"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>DataTemplate</b> (impl::node_vector &amp;&amp;tree)</td></tr>
<tr class="separator:a1deb6f4e0659c8f1ca10587440a530f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a500e9ba388489552e9c0d6f7223ab106"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a500e9ba388489552e9c0d6f7223ab106"></a>
virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getvalue</b> ()</td></tr>
<tr class="separator:a500e9ba388489552e9c0d6f7223ab106"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a7a4111e11f2218dee8cb493a1d8e61"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4a7a4111e11f2218dee8cb493a1d8e61"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><b>empty</b> ()</td></tr>
<tr class="separator:a4a7a4111e11f2218dee8cb493a1d8e61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7ef1a36be7dfff7f1fe812d3e7ed4b5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac7ef1a36be7dfff7f1fe812d3e7ed4b5"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>eval</b> (<a class="el" href="classcpptempl_1_1data__map.html">data_map</a> &amp;data, data_list *param_values=nullptr)</td></tr>
<tr class="separator:ac7ef1a36be7dfff7f1fe812d3e7ed4b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaa5ec0fc010ab9d9325ee2555b3de0a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaaa5ec0fc010ab9d9325ee2555b3de0a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>eval</b> (std::ostream &amp;stream, <a class="el" href="classcpptempl_1_1data__map.html">data_map</a> &amp;data, data_list *param_values=nullptr)</td></tr>
<tr class="separator:aaaa5ec0fc010ab9d9325ee2555b3de0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47ab90666b49cbd984426fb2b8d93782"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a47ab90666b49cbd984426fb2b8d93782"></a>
string_vector &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>params</b> ()</td></tr>
<tr class="separator:a47ab90666b49cbd984426fb2b8d93782"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a456e88d356ce0ac205c8884a9bcc27c2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a456e88d356ce0ac205c8884a9bcc27c2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>dump</b> (int indent=0)</td></tr>
<tr class="separator:a456e88d356ce0ac205c8884a9bcc27c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classcpptempl_1_1_data"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classcpptempl_1_1_data')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classcpptempl_1_1_data.html">cpptempl::Data</a></td></tr>
<tr class="memitem:a05c92ee3d74fce9409f358450bf60e37 inherit pub_methods_classcpptempl_1_1_data"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a05c92ee3d74fce9409f358450bf60e37"></a>
virtual data_list &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>getlist</b> ()</td></tr>
<tr class="separator:a05c92ee3d74fce9409f358450bf60e37 inherit pub_methods_classcpptempl_1_1_data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7fd34406f1758e94ed04aebe78a3544 inherit pub_methods_classcpptempl_1_1_data"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab7fd34406f1758e94ed04aebe78a3544"></a>
virtual <a class="el" href="classcpptempl_1_1data__map.html">data_map</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>getmap</b> ()</td></tr>
<tr class="separator:ab7fd34406f1758e94ed04aebe78a3544 inherit pub_methods_classcpptempl_1_1_data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a503bcc6847ac99a0e6a8d960add88c3c inherit pub_methods_classcpptempl_1_1_data"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a503bcc6847ac99a0e6a8d960add88c3c"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>getint</b> () const </td></tr>
<tr class="separator:a503bcc6847ac99a0e6a8d960add88c3c inherit pub_methods_classcpptempl_1_1_data"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="cpptempl_8h_source.html">cpptempl.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
